/* Copyright UNmisterIZE(Sebastien Durocher) 2025 All Rights Reserved.

Project: NoiseMapGenerator Plugin
File: NoiseMapGeneratorModule.h
*/
#pragma once

#include "CoreMinimal.h"
#include "Modules/ModuleInterface.h"
#include "Modules/ModuleManager.h"
#include "ToolMenus.h"

class FNoiseMapGeneratorModule : public IModuleInterface
{
public:
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;

private:
	void OpenWindow();
	void RegisterMenus(); 
};